### Name: calcStat
### Title: Pairwise weights
### Aliases: calcStat
### Keywords: graphs

### ** Examples

  set.seed(7,kind="Mersenne-Twister")
  dataset <- matrix(rnorm(1000),nrow=100,ncol=10)
  m <- calcStat(dataset,stat="BIC")

  data(dsCont)
  # m1 <- calcStat(dataset,varType=0,homog=TRUE,forbEdges=NULL,stat="LR")
  #          1. in this case, there is no use for homog
  #          2. no forbidden edges
  #          3. the measure used is the LR (the result is a tree)
  v <- calcStat(dsCont,homog=TRUE,forbEdges=NULL,stat="LR")

  # result
  head(v)
  # column 1: first vertex of the edge
  # column 2: second vertex of the edge
  # column 3: in this case, -LR
  # column 4: number of parameters for the edge
  #         [,1] [,2]     [,3] [,4]
  #    [1,]   17   27 393.0072    1
  #    [2,]   21   27 343.5780    1
  #    [3,]   22   25 306.0097    1
  #    [4,]   17   21 302.9414    1
  #    [5,]   27   32 300.0275    1
  #    [6,]   21   32 289.4179    1



