### Name: plotG
### Title: Plot a graph
### Aliases: plotG
### Keywords: graphs dplot

### ** Examples

  data(dsCont)
  m1 <- minForest(dsCont,homog=TRUE,forbEdges=NULL,stat="LR")
  plotG(model=m1,numIter=1000)
  
  # or
  plotG(edges=m1$edges,numIter=1000)

  # or
  plotG(edges=m1$edges,v=c(13,28,32,10,16,26,31,22),numIter=1000)

  # or
  plotG(edges=m1$edges,v=1:40,numIter=1000)
  
  # or
  plotG(model=m1,numIter=1000,plotVert=FALSE,labelVert=FALSE)
  
  #############
  r <- 3
  edges <- rep(1,r)
  x <- 2+r-1
  edges <- c(edges,sort(rep(2:x,r-1)))
  edges <- c(edges,sort(rep((x+1):(x+(x-1)*(r-1)),r-2)))
  edges <- c(edges,sort(rep((x+(x-1)*(r-1)+1):(x+(x-1)*(r-1)+(x-1)*(r-1)*(r-2)),r-3)))
  edges <- cbind(edges,2:(length(edges)+1))
  a <- neighbourhood(edges=edges,orig=1,rad=r)
  vs <- a$v[,2]
  vs <- 1/vs
  vs[1] <- 2
  vs <- vs/30
  plotG(edges=edges,numIter=200,hlv=a$v[,1],hlc=colours()[386:383][a$v[,2]+1],vs=vs)




